<template>
  <v-simple-table>
    <template v-slot:default>
      <thead>
        <tr>
          <th class="text-center">Nombre</th>
          <th class="text-center">Apellido</th>
          <th class="text-center">Teléfono</th>
          <th class="text-center">Cédula</th>
          <th class="text-center">Email</th>
          <th class="text-center">Carrera</th>
          <th class="text-center">Género</th>
          <th class="text-center">Municipio</th>
          <th class="text-center">Acciones</th>
        </tr>
      </thead>
      <tbody>
        <tr v-for="item in estudiantes" :key="item.cedula">
          <td>{{ item.nombre }}</td>
          <td>{{ item.apellido }}</td>
          <td>{{ item.telefono }}</td>
          <td>{{ item.cedula }}</td>
          <td>{{ item.email }}</td>
          <td>{{ item.carrera }}</td>
          <td>{{ item.genero }}</td>
          <td>{{ item.ciudad }}</td>
          <td>
            <v-btn
              class="ma-2"
              outlined
              color="indigo"
              v-on:click="actualizar(item._id)"
            >
              Actualizar
            </v-btn>
            <v-btn
              class="ma-2"
              outlined
              color="error"
              v-on:click="eliminar(item._id)"
            >
              Eliminar
            </v-btn>
          </td>
        </tr>
      </tbody>
    </template>
  </v-simple-table>
</template>

<script>
import store from "../store/index.js";

export default {
  data: () => {
    return {
      search: "",
      headers: [
        {
          text: "Nombre",
          align: "start",
          sortable: false,
          value: "nombre",
        },
        { text: "Apellido", value: "apellido" },
        { text: "Teléfono", value: "telefono" },
        { text: "Cédula", value: "cedula" },
        { text: "Email", value: "email" },
        { text: "Carrera", value: "carrera" },
        { text: "Género", value: "genero" },
        { text: "Municipio", value: "ciudad" },
      ],
    };
  },
  created: () => {
    store.dispatch("cargarEstudiantes");
  },
  computed: {
    estudiantes: () => {
      return store.state.estudiantes;
    },
  },
  methods: {
    actualizar(id) {
      console.log(id);
    },
    eliminar(id) {
      let obj = { id };
      store
        .dispatch("eliminarEstudiante", obj)
        .then(() => {
          store.dispatch('cargarEstudiantes');
        })
        .catch((error) => {
          console.log(error);
        });
    },
  },
};
</script>

<style>
</style>